# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/riscv/thead.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: T-HEAD SoC-based boards

maintainers:
  - Jisheng Zhang <jszhang@kernel.org>

description:
  T-HEAD SoC-based boards

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:
      - description: Sipeed Lichee Pi 4A board for the Sipeed Lichee Module 4A
        items:
          - enum:
              - sipeed,lichee-pi-4a
          - const: sipeed,lichee-module-4a
          - const: thead,th1520

additionalProperties: true

...
